# Blob

Blob utilities for WordPress.

## Installation

Install the module

```bash
npm install @wordpress/blob --save
```

## API

<!-- START TOKEN(Autogenerated API docs) -->

### createBlobURL

Create a blob URL from a file.

_Parameters_

-   _file_ `File`: The file to create a blob URL for.

_Returns_

-   `string`: The blob URL.

### getBlobByURL

Retrieve a file based on a blob URL. The file must have been created by
`createBlobURL` and not removed by `revokeBlobURL`, otherwise it will return
`undefined`.

_Parameters_

-   _url_ `string`: The blob URL.

_Returns_

-   `File|undefined`: The file for the blob URL.

### getBlobTypeByURL

Retrieve a blob type based on URL. The file must have been created by
`createBlobURL` and not removed by `revokeBlobURL`, otherwise it will return
`undefined`.

_Parameters_

-   _url_ `string`: The blob URL.

_Returns_

-   `string|undefined`: The blob type.

### isBlobURL

Check whether a url is a blob url.

_Parameters_

-   _url_ `string`: The URL.

_Returns_

-   `boolean`: Is the url a blob url?

### revokeBlobURL

Remove the resource and file cache from memory.

_Parameters_

-   _url_ `string`: The blob URL.

<!-- END TOKEN(Autogenerated API docs) -->

<br/><br/><p align="center"><img src="https://s.w.org/style/images/codeispoetry.png?1" alt="Code is Poetry." /></p>
